KDE 4.2 PyKDE API Reference

- KDE's Python API

# ItemEnum Class Reference

`from PyKDE4.kdecore import *`

Inherits: KCoreConfigSkeleton.ItemInt → KConfigSkeletonItem
Namespace: KCoreConfigSkeleton

## Detailed Description

Class for handling enums.

## Methods

| __init__ (self, QString _group, QString _key, int reference, [KCoreConfigSkeleton::ItemEnum::Choice] choices, int defaultValue=0)
| __init__ (self, QString _group, QString _key, int reference, [KCoreConfigSkeleton::ItemEnum::Choice2] choices, int defaultValue=0)
[KCoreConfigSkeleton::ItemEnum::Choice] | choices (self)
[KCoreConfigSkeleton::ItemEnum::Choice2] | choices2 (self)
| readConfig (self, KConfig config)
| readDefault (self, KConfig config)
| setDefault (self)
| setDefaultValue (self, int v)
| setValue (self, int v)
| swapDefault (self)
int | value (self)
| writeConfig (self, KConfig config)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | int | reference,
|  | [KCoreConfigSkeleton::ItemEnum::Choice] | choices,
|  | int | defaultValue=0
| ) |  |  |

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | int | reference,
|  | [KCoreConfigSkeleton::ItemEnum::Choice2] | choices,
|  | int | defaultValue=0
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

Parameters:

  | choices | The list of enums that can be stored in this item

[KCoreConfigSkeleton::ItemEnum::Choice] choices | ( |  | self ) |

[KCoreConfigSkeleton::ItemEnum::Choice2] choices2 | ( |  | self ) |

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.readConfig(KConfig*)

readDefault | ( | self, |
|  | KConfig | config
| ) |  |  |

setDefault | ( |  | self ) |

setDefaultValue | ( | self, |
|  | int | v
| ) |  |  |

setValue | ( | self, |
|  | int | v
| ) |  |  |

swapDefault | ( |  | self ) |

int value | ( |  | self ) |

writeConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.writeConfig(KConfig*)